[Unit]
Description             = In4 BTRFS snapshot SVN

## DEPS ## 
 Requires                       = var-run.mount nss-lookup.target network.target time-sync.target systemd-modules-load.service 
 After                  = var-run.mount nss-lookup.target network.target time-sync.target systemd-modules-load.service 
##

[Service]
 
## TYPE ##
 Type                   = oneshot
##

## EXECS ##
Environment         = SnapMode=svn
 ExecStart              = /bin/sh /media/sysdata/in4/platform/v4/data_safety:c/snapshot:o/others:f/btrfs--g/runner.sh

 ExecStartPre           = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"unknown", "action":"start", "subaction":"pre", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStartPost = 
 ExecStartPost          = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"started", "action":"start", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStopPost  = 
 ExecStopPost           = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"stopped", "action":"stop", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #loging -  "instance":"%I"
 ##
 
## PERMISSIONS ##
 #WorkingDirectory      = 
 User                   = root
 Group                  = root
 SupplementaryGroups = sysdata
 #UMask                 = 
##

## MISC ##
 #Restart                       = always
 #PrivateTmp            = true
 #TimeoutSec            = 300 # larger for DB/huge RAM ps
 EnvironmentFile           = /etc/sysconfig/proxy
##

## SYSLOG ##
 SyslogIdentifier       = in4__snapshot
 SyslogFacility         = local7
 SyslogLevel            = info
 #SyslogLevelPrefix     = false #Can be disabled for ...
##
 

## SECURITY ##
 #ProtectSystem = full
 #ProtectHome   = true
 #AppArmorProfile       = 
 #PAMName               = 
 #SecureBits            = 
 #Capabilities          = 
 #ReadWriteDirectories=, ReadOnlyDirectories=, InaccessibleDirectories=
##
 

## LIMITS ##
 Nice                           = 0
 OOMScoreAdjust = -1000
 IOSchedulingClass      = best-effort
 IOSchedulingPriority= 1
 LimitNOFILE=65535
 #LimitMEMLOCK=infinity #For DB's
 #MemoryLimit           = 
 #BlockIOReadBandwidth = 
 #BlockIOWriteBandwidth = 
## 

 
[Install]
WantedBy                        = multi-user.target
#RequiredBy=, #Alias = 
